﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Syncfusion.JavaScript.Models;
using Syncfusion.JavaScript;
using Syncfusion.EJ.Export;

namespace SyncFusionSpreadsheet.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }
        public string Import(ImportRequest importRequest)
        {
            return Spreadsheet.Open(importRequest);
        }
        public ActionResult ExcelExport(string sheetModel, string sheetData, string password)
        {
            return Spreadsheet.Save(sheetModel, sheetData, "sample", ExportFormat.XLSX);
        }
        public ActionResult CsvExport(string sheetModel, string sheetData, string password)
        {
            return Spreadsheet.Save(sheetModel, sheetData, "sample", ExportFormat.CSV);
        }
        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
    }
}
